package martin.persistence;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.UUID;

/**
 * MyTable
 *
 * @author Martin Dale Lyness
 * @since 8/27/12
 */
@Entity
@Table(name = "my_table")
public class MyTable {

    @Id
    @Column(name = "uuid")
    private String id = UUID.randomUUID().toString();

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }
}
